#
# spec file for package reiserfs (Version 3.6.19)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           reiserfs
BuildRequires:  e2fsprogs-devel
URL:            http://www.namesys.com/download.html
Conflicts:      libreiserfs-progs
Version:        3.6.19
Release:        19.2
Summary:        Reiser File System utilities
License:        Other License(s), see package, GPL
Group:          System/Filesystems
Autoreqprov:    on
Source:         ftp://ftp.namesys.com/pub/reiserfsprogs/reiserfsprogs-%{version}.tar.gz
Patch1:         02-mkreiserfs-quiet.diff
Patch2:         broken-inline.diff
Patch3:         reiserfs-large-block-warning.diff 
Patch4:         reiserfsprogs-fsck-mapid.diff
Patch5:         reiserfsprogs-external-journal-changes.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package includes utilities for making the file system
(mkreiserfs), checking for consistency (reiserfsck), and resizing
(resize_reiserfs).



%debug_package
%prep
%setup -q -n reiserfsprogs-%{version}
%patch1 -p1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} --exec-prefix=/
make

%install
install	-d	${RPM_BUILD_ROOT}/sbin
make DESTDIR=${RPM_BUILD_ROOT} install
cd ${RPM_BUILD_ROOT}/sbin ; ln reiserfsck fsck.reiserfs
cd ${RPM_BUILD_ROOT}/sbin ; ln mkreiserfs mkfs.reiserfs
cd ${RPM_BUILD_ROOT}/%{_mandir}/man8 ; ln mkreiserfs.8 mkfs.reiserfs.8 ; ln reiserfsck.8 fsck.reiserfs.8

%files
%defattr(-, root, root)
/sbin/*
%doc %{_mandir}/man8/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n reiserfs
* Thu May 04 2006 - jeffm@suse.com
- Added fix for off-by-one in memory allocation of oid map. Would
  cause crash on file systems with OID 2^32-2 in use.
- Added patch to use better defaults for journals on external
  devices..
* Fri Mar 03 2006 - jeffm@suse.com
- Added warning for block sizes > 4k
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 21 2005 - mmj@suse.de
- This package conflicts with libreiserfs-progs
* Fri Dec 09 2005 - schwab@suse.de
- Update to reiserfsprogs 3.6.19.
- Remove broken inline.
- Don't strip binaries.
* Thu Sep 01 2005 - ro@suse.de
- fix build on ppc: define __KERNEL__ before including unaligned.h
* Tue Aug 17 2004 - bk@suse.de
- update to 3.6.18, Jeff Mahoney checked which patches are needed
* Thu Jul 15 2004 - schwab@suse.de
- Fix unaligned accesses [#40296].
* Mon Jun 21 2004 - meissner@suse.de
- Fix from Jeff Mahoney to do mkfs checks without checking
  the quietness flag (SUSE#42118 / LTC#9409).
* Fri May 21 2004 - mason@suse.com
- Fix from Jeff Mahoney to make --rebuild-tree properly handle
  the new block allocator in sles9 kernels
* Tue May 18 2004 - meissner@suse.de
- BLKGETSIZ64 has a 32bit size ioctl encoding, but a 64bit size
  argument. (SUSE#40645, LTC#8586).
* Mon Apr 05 2004 - kukuk@suse.de
- Remove duplicate patch once from filelist
* Tue Mar 16 2004 - mason@suse.de
- fix mounted filesystem detection
* Thu Feb 26 2004 - mantel@suse.de
- create links for manpages fsck.reiserfs and mkfs.reiserfs
* Sun Feb 08 2004 - mason@suse.de
- update to 3.6.13
* Thu Nov 13 2003 - schwab@suse.de
- Use count_blocks when checking block device size [#32611].
- Fix descriptor leak.
* Mon Sep 01 2003 - mason@suse.de
- make -a imply -q
* Mon Aug 18 2003 - arvin@suse.de
- applied 64 bit patch (bug #28424)
* Mon Jul 28 2003 - mason@suse.com
- update to 3.6.9 / 3.6.10
* Thu Jun 26 2003 - uli@suse.de
- fixed wrong file size limit on 64 bit machines (bug #27534)
* Mon Feb 10 2003 - mason@suse.com
- update to 3.6.4
* Fri Aug 09 2002 - mason@suse.de
- Add two new patches which:
  o changes reiserfsck to use more standard 'Filesystem clean'
  o fixes sd_blocks calculation to match quota code's for
  symbolic links
* Mon Jul 15 2002 - mmj@suse.de
- Up to 3.6.2
- Add two new patches from Chris Mason which:
  o Changes the reiserfsck exit codes to match e2fsck
  o Drops a harmless warning message
* Tue Jun 04 2002 - bk@suse.de
- add missing reiserfstune including man page to filelist
* Mon Mar 11 2002 - mantel@suse.de
- update to version 3.x.1b
- make startup output at least a little bit less ugly
* Wed Feb 27 2002 - mantel@suse.de
- create link mkfs.reiserfs -> mkreiserfs for consistency
* Tue Feb 12 2002 - mantel@suse.de
- fix bug in objectid sorting code (only affects objectids > 2^31)
* Mon Feb 11 2002 - ro@suse.de
- update to 3.x.1b-pre3
* Wed Nov 28 2001 - aj@suse.de
- Update to newer version, add patch from Chris Mason to fix some
  quota bugs.
* Fri Sep 21 2001 - fehr@suse.de
- add patches resizer_dirty.diff and prints-nr.diff from Chris Mason
  to package
* Thu Sep 20 2001 - kukuk@suse.de
- Make default version 3.6.x on PPC, too.
* Fri Sep 14 2001 - mge@suse.de
- introduced BuildRoot into the SPEC-file
- added %%clean section
- added patch5: "resize_reiserfs-bitmap.diff" by Chris Mason
  to make resize_reiserfs work
* Mon Sep 10 2001 - olh@suse.de
- remove mkreiserfs-mmap-die.diff
  add mkreiserfs-bigmem.diff from jeffm
  allows to run the tools on machines with a lot of ram
* Thu Sep 06 2001 - kukuk@suse.de
- Make default version 3.6.x on SPARC (3.5 does not work on
  bigendian)
* Wed Aug 29 2001 - olh@suse.de
- add mkreiserfs-mmap-die.diff, score goes to jeffm
* Tue Aug 28 2001 - fehr@suse.de
- add 3 patches from Chris Mason
- default version still 3.5.x.,
- exit code of debugreiserfs meaningful
- mkreiserfs understands option -q
* Sat Jul 21 2001 - kukuk@suse.de
- Update to 3.x.0k-pre9 with endian-save patch from jeffm
* Wed Jun 27 2001 - bk@suse.de
- update to 3.x.0k-pre8 with endian-safe pre8-patch from jeffm
- cleaned up obsolete neededforbuild
* Wed May 02 2001 - schwab@suse.de
- Use proper largefile access instead of stupid hardcoded syscall.
- Fix missing declarations.
- Fix missing casts.
* Thu Apr 26 2001 - mantel@suse.de
- do not return success when used on a non-reiserfs partition
* Thu Apr 26 2001 - mantel@suse.de
- added link fsck.reiserfs -> reiserfsck
* Tue Apr 24 2001 - mantel@suse.de
- update to reiserfsprogs-3.x.0j
* Thu Feb 22 2001 - ro@suse.de
- use kernel include dir
* Sat Jan 20 2001 - mantel@suse.de
- update to 3.5.29
* Fri Dec 15 2000 - mantel@suse.de
- up to 3.5.28
* Wed Nov 15 2000 - kukuk@suse.de
- compile against kernel 2.2.x
* Wed Oct 25 2000 - mantel@suse.de
- up to 3.5.27
* Wed Aug 02 2000 - mantel@suse.de
- install man page for reiserfsck
* Sat Jul 15 2000 - mantel@suse.de
- added z-free_thrown.diff
* Tue Jul 11 2000 - mantel@suse.de
- update to 3.5.23
* Mon Jun 19 2000 - ro@suse.de
- fixed makefiles
* Sat Jun 17 2000 - mantel@suse.de
- up to 3.5.22
* Fri Jun 09 2000 - ro@suse.de
- up to 3.5.21
* Tue Mar 21 2000 - ro@suse.de
- removed fsck.reiserfs (doesn't work)
* Fri Mar 17 2000 - ro@suse.de
- fixed filelist: added reiserfsck
* Thu Mar 02 2000 - ro@suse.de
- up to 3.5.18
* Tue Feb 08 2000 - ro@suse.de
- update to 3.5.17pre2
* Tue Jan 25 2000 - ro@suse.de
- fixed typo in makefile
* Mon Jan 10 2000 - ro@suse.de
- added unpackreiserfs and dumpreiserfs to filelist
* Mon Jan 10 2000 - ro@suse.de
- update to 3.5.14
* Fri Dec 10 1999 - ro@suse.de
- fixed Makefile
* Thu Dec 02 1999 - bs@suse.de
- fixed .changes
* Thu Dec 02 1999 - bs@suse.de
- update to 3.5.12
* Tue Nov 16 1999 - choeger@suse.de
- new version, 3.5.7 incl. journaling
* Wed Oct 27 1999 - uli@suse.de
- new package
